﻿package {
 
	import flash.display.MovieClip;
	import flash.desktop.NativeApplication;
	import flash.events.Event;
	import com.hdi.nativeExtensions.NativeAds;
	import com.hdi.nativeExtensions.NativeAdsEvent;
	import flash.utils.setTimeout;
 
	//Path to iPhone SDK /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS5.1.sdk/
 
	public class AdMobExample extends MovieClip {
		// Admob - id
		private var admobId:String = "ca-app-pub-7855998298957479/8430288914";
		private static const AD_HEIGHT:int = 50;
		private var statusBarHeight: int = 0;
		private var _adY:int = 0;
		public var na : NativeApplication;
 
		public function AdMobExample() {
			// constructor code
			na = NativeApplication.nativeApplication;
			na.addEventListener(Event.EXITING, exit, false, 0, true);
			na.addEventListener(Event.DEACTIVATE, deactivate, false, 0, true);
			na.addEventListener(Event.ACTIVATE, activate, false, 0, true);
			// lock the scale of the app
			// so we can manage the screen sizes and 
			// positioning ourselves
			if ( stage ) {
				stage.scaleMode = "noScale";
				stage.align = "TL";
			}			
			//statusBarHeight = 20; //in case the status bar is visible
			//if you app is full screen the this should be equal to 0
			statusBarHeight = 0; // we are developing full screen app
			_adY = 480 - statusBarHeight - AD_HEIGHT; //position the ad at the bottom
			// call init when ready
			if ( loaderInfo ){
				loaderInfo.addEventListener( Event.INIT, init, false, 0, true );
			} else {
				init(null);
			}
		}
		// close the application
		public function deactivate(e:Event):void {
			// AdMob
			NativeAds.deactivateAd();
			// end AdMob
		}
		public function exit(e:Event):void {
			NativeAds.dispose();
			// end AdMob
			// add a short delay to make sure the app has shut down
			setTimeout(finalExit,250);	
		}
		//finalize the app.
		private function finalExit():void
		{
			na.exit();
		}
		// AdMob Methods
		public function showAd():void {
			// add an event listener so we know when an ad is being displayed
			NativeAds.dispatcher.addEventListener(NativeAdsEvent.AD_RECEIVED, onAdReceived);
			// call showAd and pass in the size and position of the ad
			NativeAds.showAd(0, _adY, 480, AD_HEIGHT);
		}
		public function hideAd():void {
			// remove the ad from view
			NativeAds.hideAd();
		}
		public function onAdReceived(e:NativeAdsEvent = null):void {
			//Anything behind the ad will be hidden, update your layout to handle this edge case.
			trace("update ui's size and position");
		}
		// end AdMob Methods
		private function init(e:Event):void	{
			// ADMOB - initialize here
			NativeAds.setUnitId(admobId);
			//NativeAds.setAdMode(true);//put the ads in real mode
			//initialize the ad banner with size compatible for phones, it's applicable to iOS only
			NativeAds.initAd(0, _adY, 320, AD_HEIGHT);			
			// END ADMOB
			// show ad
			showAd();
		}
		private function activate(e:Event):void {
			trace("App was activated");
			NativeAds.restoreAd();
		}
	}
 
}

